<?php
define('NTOP', 1);
$title = 'Модерация сайтов';
require_once('../system/connect.php');
require_once('../system/core.php');
require_once('../system/function.php');
require_once('../str/head.php');
reg();
level(2);
switch($act){
		default:
		echo '<div class="topik">Модерация сайтов</div>';
		$count = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait` WHERE `status` = '0' AND `hosts` > '0'"));
		if($count > 0){
				$total=intval(($count-1)/$set['page_moderacia'])+1; 
				$page=abs(intval($_GET['page'])); 
				if(empty($page) OR $page < 0)
					{
						$page = 1; 
				}	
				if($page > $total)
					{
						$page = $total; 
					}
				$past=intval($count/$set['page_moderacia']);  
				$start=$page*$set['page_moderacia']-$set['page_moderacia']; 
$moder = mysql_query("SELECT * FROM `".$prefix."sait` WHERE `status` = '0' AND `hosts` > '0' ORDER BY `hosts` DESC LIMIT ".$start.",".$set['page_moderacia']."");
while($row = mysql_fetch_array($moder)) {
if($row['id'] == $id){
$start++;
echo '<div class="topni">'.$start.'. <a href="/out.php?id='.$row['id'].'"><span class="site"><b><font color=red>'.$row['url'].'</font></b></span></a> <small>('.$row['hosts'].'/'.$row['hits'].'';
//echo ($row['hits'] > 999 ? round($row['hits']/1000).'К' : $row['hits']);
if($row['mem'] == 0){
echo')</small> <a href="/str/infos.php?id='.$row['id'].'"><img src="/images/s.gif" alt="?"></a>';}else{echo')</small> <img src="/images/d.gif" alt="*">';}
} else {
$start++;
echo '<div class="topni">'.$start.'. <a href="/out.php?id='.$row['id'].'"><span class="site">'.$row['url'].'</span></a> <small>('.$row['hosts'].'/'.$row['hits'].'';
//echo ($row['hits'] > 999 ? round($row['hits']/1000).'К' : $row['hits']);
if($row['mem'] == 0){
echo')</small> <a href="/str/infos.php?id='.$row['id'].'"><img src="/images/s.gif" alt="?"></a>';}else{echo')</small> <img src="/images/d.gif" alt="*">';}}
echo'<div class="info">'.$row['about'].'<br></div>
&bull; <a href="/adm_panel/moderacia.php?act=activate&id='.$row['id'].'">Активировать</a> | <a href="/adm_panel/moderacia.php?act=delete&id='.$row['id'].'">Удалить</a> | <a href="moderacia.php?act=edit&id='.$row['id'].'">Изменить</a></div>';
					}
				navigation($count,$set['page_moderacia'],$page,'http://'.$set['home'].'/adm_panel/moderacia.php?',$total);
			}
		else
			{
				echo '<div class="stat">';
				echo 'Сайтов на модерации нет!<br/>';
				echo '</div>';
			}
		break;
		case 'activate':
		echo '<div class="topik">Модерация сайтов</div>';
		$up = mysql_query("UPDATE `".$prefix."sait` SET  `status` = '1' WHERE `id` = '".$id."'");
		if($up)
			{
				echo '<div class="stat">';
				echo 'Сайт успешно активирован<br/>';
				echo '</div>';
			}
		else
			{
				echo '<div class="stat">';
				echo 'Сайт не активирован<br/>';
				echo '</div>';
			}
		break;


case 'edit':
if(!isset($_POST['ok'])){
echo '<div class="topik">Изменение площадки</div>';
$platform = mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id` = '".$id."' LIMIT 1");
$platform_count = mysql_num_rows($platform);
$user_platform = mysql_fetch_array($platform);
$image_big = mysql_query("SELECT * FROM `".$prefix."images` WHERE `type` = 'big'");
$image_small = mysql_query("SELECT * FROM `".$prefix."images` WHERE `type` = 'small'");
if($platform_count > 0){
echo '<div class="stat"><form action="moderacia.php?act=edit&mod=2&id='.$id.'" method="post">
URL сайта(без http:// и т.п)(max. 35):<br/>
<input type="text"  class="input" name="url" maxlength="35" value="'.$user_platform['url'].'" /><br/>
Описание сайта(max. 100):<br/>
<textarea name="about" cols="38" rows="8">'.$user_platform['about'].'</textarea><br/>
Категория:<br/>
<select name="cat">';
$cats = mysql_query("SELECT * FROM `".$prefix."cat` ORDER BY `id` ASC");
if(mysql_num_rows($cats) > 0){
while($cat = mysql_fetch_assoc($cats)){
$selected = ($user_platform['category'] == $cat['id']) ? ' selected="selected"' : '';
echo '<option value="'.$cat['id'].'"'.$selected.'>'.$cat['name'].'</option>';}}
echo '</select><br/>';
echo '<br><input name="mem" type="checkbox" value="1" /> Скрывать статистику<br>
<input name="ok" type="submit" value="Изменить" /></form></div>';
} else {
echo '<div class="stat">Данной площадки не существует!<br/>
<a href="http://'.$set['home'].'/str/office.php?act=platforms">Назад</a></div>';
}} else {
$cat = intval($_POST['cat']);
$url = filter($_POST['url']);
$url = str_replace("http://","",$url);
$about = filter($_POST['about']);
$platform_isset = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id` = '".$id."' LIMIT 1"));
$error = '';
$isset_cat = mysql_num_rows(mysql_query("SELECT `id` FROM `".$prefix."cat` WHERE `id` = '".$cat."'"));
if($isset_cat == 0)
{
$error .= 'Ошибка! Нет такой категории!<br/>';
}
if(empty($cat) OR empty($url) OR empty($about))
{
$error .= 'Ошибка!Не заполнены поля!<br/>';
}
if($platform_isset == 0)
{
$error .= 'У вас нет такой площадки!<br/>';
}
if(!empty($error))
{
echo '<div class="stat">'.$error.'<br>
<a href="/adm_panel/moderacia.php">К площадкам</a></div>';
} else {
if(!empty($_POST['mem'])){
$update_platform = mysql_query("UPDATE `".$prefix."sait` SET `status` = '1', `category` = '".$cat."', `url` = '".$url."', `mem` = '1', `about` = '".$about."' WHERE `id` = '".$id."'");
}else{
$update_platform = mysql_query("UPDATE `".$prefix."sait` SET `status` = '1', `category` = '".$cat."', `url` = '".$url."', `mem` = '0', `about` = '".$about."' WHERE `id` = '".$id."'");
}
if($update_platform){
echo '<div class="stat">Площадка успешно отредактирована!<br/>
<a href="/adm_panel/moderacia.php">К площадкам</a></div>';
} else {
echo '<div class="stat">Площадка не отредактирована, попробуйте снова!<br/>
<a href="/adm_panel/moderacia.php?act=edit&id='.$id.'">Назад</a></div>';
}}}
break;
		case 'delete':
		echo '<div class="topik">Модерация сайтов</div>';
		$del = mysql_query("DELETE FROM `".$prefix."sait` WHERE `id` = '".$id."'");
		if($del)
			{
				echo '<div class="stat">';
				echo 'Сайт успешно удален<br/>';
				echo '</div>';
			}
		else
			{
				echo '<div class="stat">';
				echo 'Сайт не удален<br/>';
				echo '</div>';
			}
		break;
	}
echo '<div class="main"><a href="http://'.$set['home'].'/adm_panel/index.php">В Админку</a><br/></div>';
require_once('../str/foot.php');
?>